The included classes list on the "Edit Host" page should indicate which classes are inherited
Description

As of now, the included classes list just shows a red circle to indicate that the class can be removed.

This is misleading as classes inherited from Hostgroups cannot be removed.

(The class shows up as removed on the Edit page, but the YAML still includes it)

It would be better if the list did not have a link to remove inherited classes.

Only additional classes that the user added should have the remove link and icon.

Thanks

History

#1 - 07/16/2010 03:33 AM - Ohad Levy

- Status changed from New to Need more information

I'm not sure I'm following, at the moment:

You can add and remove classes on the host level

You can assign a host group to a host but you can't remove a class which is defined in a host group in the host level.

#2 - 07/16/2010 03:44 AM - Bash Shell

Thats right, you can't remove a class defined at the Hostgroup level, but the UI gives the impression that you can remove...

#3 - 07/16/2010 03:53 AM - Ohad Levy

Bash Shell wrote:

Thats right, you can't remove a class defined at the Hostgroup level, but the UI gives the impression that you can remove...

 How would you change it ? currently its plain text, and when you hover it tells you that it was inherited from the host group.

I think its important to show it, as one might forget which classes are applied via the host group

#4 - 07/16/2010 04:04 AM - Bash Shell

But there is also a Link (with the Red circle) that I can click that gives the impression that I've removed the class.

(I hope this is not some bug I am experiencing?)

#5 - 07/16/2010 04:23 AM - Ohad Levy

Bash Shell wrote:

But there is also a Link (with the Red circle) that I can click that gives the impression that I've removed the class.

(I hope this is not some bug I am experiencing?)
 the link should exists only for classes that you added on the host level, double check if you didnt include the same class twice (onces in the host level,

another in the group)

#6 - 07/16/2010 09:05 PM - Bash Shell

My bad... I was setting classes at both levels for some hosts.

Please close the ticket.

#7 - 09/19/2010 03:27 PM - Ohad Levy

- Status changed from Need more information to Closed
